Skip to main content

List policy configurations of a client

GET 

/nevisidm/api/core/v1/clients/:extId/policies

Since: 2.79.0

Required permission(s): AccessControl.ClientView,AccessControl.PolicyConfigurationView

Returns all policy configurations belonging to the client with the given external ID. Policies define rules for credentials, identifiers, and other client-specific behaviors.

Request

Path Parameters

    extId stringrequired

    External ID of the client.

    Example: client-123

Query Parameters

    continuationToken string

    Pagination continuation token from a previous response.

    limit int32

    Default value: 0

    Maximum number of results to return.

    Example: 100

Responses

Policy configurations retrieved successfully

Schema
    items object[]
  • Array [
  • defaultPolicy boolean

    Whether this policy is the default policy for its type within the client.

    description string

    The textual description of the policy.

    name string

    The name of the policy.

    parameters object

    Lists the policy parameters assigned to the policy configuration. The parameters are represented as name-value pairs.

    For further information about credential related policy parameters, visit Configuration > Credentials > Policy parameters in nevisIDM Documentation.

    For further information about non-credential related policy Parameters, visit Configuration > Components > Parameters of policies in nevisIDM Documentation.

    property name* string
    version int32

    The version used for optimistic locking.

    clientExtId string

    The external ID of the client to which the policy belongs.

    created string

    The creation date of the policy configuration.

    extId string

    The external ID of the policy configuration.

    lastModified string

    The date when the policy configuration was last modified.

    policyType string

    Possible values: [PwdPolicy, OTPCardPolicy, TicketPolicy, TempStrongPasswordPolicy, CertificatePolicy, GenericCredentialPolicy, TANPolicy, VascoPolicy, PUKPolicy, URLTicketPolicy, DevicePasswordPolicy, MobileSignaturePolicy, SAMLFederationPolicy, SecurityQuestionsPolicy, ContextPasswordPolicy, OpenAuthenticationPolicy, ProfilePolicy, ClientPolicy, UnitPolicy, FidoUafPolicy]

    The type of the policy. Determines which credential or component the policy applies to.

  • ]
  • _pagination object
    continuationToken string

    The continuation token for fetching the next page of results generated from creation date and external id of the last entity

    limit int32

    The maximum number of results returned in a single page

    totalResult int64

    The total number of results available, only supported for selected endpoints, if returnTotalResultCount query-parameter is true

    _classifications object
    property name* string[]
  • Array [
  • string

  • ]
Loading...